Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.web.validation
Class IntegerWord

    java.lang.Object
      com.bea.web.validation.Word
          com.bea.web.validation.IntegerWord

All Implemented Interfaces:
  Serializable

public class IntegerWord
extends Word
implements Serializable

Determines if a value is a valid Java Integer between a specified range. By default, any Java int is valid.

See Also:
  Serialized Form

Constructor Summary
`IntegerWord()`

Method Summary
`protected IValidationResult` | `checkAdditional(Integer value, ResourceBundle bundle)` This method is called by the `validate` method after the lower and upper bounds have been validated.
`protected IValidationResult` | `checkLowerBound(Integer value, ResourceBundle bundle)` Checks `value` against the lower bound, minInclusive or minExclusive.
`protected IValidationResult` | `checkUpperBound(Integer value, ResourceBundle bundle)` Checks `value` against the upper bound, maxInclusive or maxExclusive.
`Integer` | `getMaxExclusive()`
`Integer` | `getMaxInclusive()`
`Integer` | `getMaxValue()`
`Integer` | `getMinExclusive()`
`Integer` | `getMinInclusive()`
`Integer` | `getMinValue()`
`void` | `setMaxExclusive(String strMaxExclusive)` Sets the value for the maximum exclusive constraining facet.
`void` | `setMaxInclusive(String strMaxInclusive)` Sets the value for the maximum inclusive constraining facet.
`void` | `setMinExclusive(String strMinExclusive)` Sets the value for the minimum exclusive constraining facet.
`void` | `setMinInclusive(String strMinInclusive)` Sets the value for the minimum inclusive constraining facet.
`String` | `toString()`
`IValidationResult` | `validate(String strValue, ResourceBundle bundle)`

Methods inherited from class com.bea.web.validation.Word
`formatMessage, formatMessage, getKey, getPattern, getResource, isRequired, matchesPattern, setKey, setPattern, setRequired`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### IntegerWord

    public IntegerWord()

Method Detail

### validate

    public IValidationResult validate(String strValue,
                                      ResourceBundle bundle)

  Overrides:
    `validate` in class `Word`

### checkLowerBound

    protected IValidationResult checkLowerBound(Integer value,
                                                ResourceBundle bundle)

  Checks `value` against the lower bound, minInclusive or minExclusive.

  Parameters:
    `value` - - the Integer value to compare against the lower bound
  Returns:
    IValidationResult - null if `value` satifies the lower bound. If return value is not null, then `value` does not satisfy the lower bound.

### checkUpperBound

    protected IValidationResult checkUpperBound(Integer value,
                                                ResourceBundle bundle)

  Checks `value` against the upper bound, maxInclusive or maxExclusive.

  Parameters:
    `value` - - the Integer value to compare against the upper bound
  Returns:
    IValidationResult - null if `value` satifies the upper bound. If return value is not null, then `value` does not satisfy the upper bound.

### checkAdditional

    protected IValidationResult checkAdditional(Integer value,
                                                ResourceBundle bundle)

  This method is called by the `validate` method after the lower and upper bounds have been validated. This method returns null. Sub-classes can override this method to supply additional validation on the Integer value and still benefit from the parse and lower/upper bounds checking provided by the current implementation of `validate` method.

### getMinValue

    public Integer getMinValue()

  Returns:
    the minimum value

### getMaxValue

    public Integer getMaxValue()

  Returns:
    the maximum value

### setMinInclusive

    public final void setMinInclusive(String strMinInclusive)
                               throws NumberFormatException

  Sets the value for the minimum inclusive constraining facet. To satisfy this constraining facet, the value must be numerically greater than or equal to `strMinInclusive`. It is an error for both minInclusive and minExclusive to be specified on the same object.

  Throws:
    `NumberFormatException` - - the argument `strMinInclusive` cannot be parsed into a Java Integer.

### getMinInclusive

    public final Integer getMinInclusive()

### setMaxInclusive

    public final void setMaxInclusive(String strMaxInclusive)
                               throws NumberFormatException

  Sets the value for the maximum inclusive constraining facet. To satisfy this constraining facet, the value must be numerically less than or equal to `strMaxInclusive`. It is an error for both maxInclusive and maxExclusive to be specified on the same object.

  Throws:
    `NumberFormatException` - - the argument `strMaxInclusive` cannot be parsed into a Java Integer.

### getMaxInclusive

    public final Integer getMaxInclusive()

### setMinExclusive

    public final void setMinExclusive(String strMinExclusive)
                               throws NumberFormatException

  Sets the value for the minimum exclusive constraining facet. To satisfy this constraining facet, the value must be numerically greater than `strMinExclusive`. It is an error for both minInclusive and minExclusive to be specified on the same object.

  Throws:
    `NumberFormatException` - - the argument `strMinExclusive` cannot be parsed into a Java Integer.

### getMinExclusive

    public final Integer getMinExclusive()

### setMaxExclusive

    public final void setMaxExclusive(String strMaxExclusive)
                               throws NumberFormatException

  Sets the value for the maximum exclusive constraining facet. To satisfy this constraining facet, the value must be numerically less than `strMaxExclusive`. It is an error for both maxInclusive and maxExclusive to be specified on the same object.

  Throws:
    `NumberFormatException` - - the argument `strMaxExclusive` cannot be parsed into a Java Integer.

### getMaxExclusive

    public final Integer getMaxExclusive()

### toString

    public String toString()

  Overrides:
    `toString` in class `Word`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD